@echo off
rem Change all unix-type text files to dos-type using utod.
cd tests\date
utod 1.X 3.X 4.X 5.X 6.X 7.X 8.X 9.X leap-1.X U95-1.X U95-2.X
utod U95-3.X U92-1.X U92-2.X U92-3.X V92-1.X V92-2.X V92-3.X W92-1.X W92-2.X
utod W92-3.X millen-1.X rel-0.X rel-1a.X rel-1b.X rel-2a.X rel-2b.X rel-2c.X
utod rel-2d.X rel-2e.X rel-2f.X rel-2g.X rel-3a.X next-s.X next-m.X next-h.X
utod next-d.X next-w.X next-mo.X next-y.X utc-0.X utc-0a.X utc-1.I utc-1.X
utod utc-1a.I utc-1a.X d2sec-0.X d2sec-0a.X d2sec-1.X sec2date-0.X
utod this-m.X this-h.X this-w.X this-mo.X this-y.X risks-1.X regress-1.X
utod datevtime-1.X rfc822-1.X relat-1.X relat-2.X
cd ..\..
rem
echo Editing the scripts in various subdirectories for DJGPP...
echo    tests/date...
if not exist tests\date\date-tests.orig mv -f tests/date/date-tests tests/date/date-tests.orig
sed -f djgpp/tscript.sed tests/date/date-tests.orig > tests\date\date-tests
echo    tests/test...
if not exist tests\test\test-tests.orig mv -f tests/test/test-tests tests/test/test-tests.orig
sed -f djgpp/tscript.sed tests/test/test-tests.orig > tests\test\test-tests
echo    missing...
if not exist missing.orig mv -f missing missing.orig
sed -f djgpp/tscript.sed missing.orig > missing
rem
rem Edit the Perl scripts to get "make check" working.
if not exist tests\basename\basic.orig mv -f tests/basename/basic tests/basename/basic.orig
sed -f djgpp/pscript.sed tests/basename/basic.orig > tests\basename\basic
rem
if not exist tests\factor\basic.orig mv -f tests/factor/basic tests/factor/basic.orig
sed -f djgpp/pscript.sed tests/factor/basic.orig > tests\factor\basic
rem
if not exist tests\stty\basic-1.orig mv -f tests/stty/basic-1 tests/stty/basic-1.orig
sed -f djgpp/pscript.sed tests/stty/basic-1.orig > tests\stty\basic-1
rem
if not exist tests\stty\row-col-1.orig mv -f tests/stty/row-col-1 tests/stty/row-col-1.orig
sed -f djgpp/pscript.sed tests/stty/row-col-1.orig > tests\stty\row-col-1
